Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.progress
Interface ProgressListener

All Known Implementing Classes:
  JRexStatusBarImpl

public interface ProgressListener

The JRex ProgressListener interface, This listener can be added to listen to any progress related events.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexCanvas.addProgressListener(org.mozilla.jrex.event.progress.ProgressListener)`

Method Summary
`void` | `onLinkStatusChange(ProgressEvent event)` This is an additional event to set of progress event, this event occurs when mouse is rolled over a link which is usually printed in the status bar of the browser.
`void` | `onLocationChange(ProgressEvent event)` Called when the window being watched changes the location that is currently.
`void` | `onProgressChange(ProgressEvent event)` Notification that the progress has changed for one of the requests being monitored.
`void` | `onSecurityChange(ProgressEvent event)` Notification called for security progress.
`void` | `onStateChange(ProgressEvent event)` Notification indicating the state has changed for one of the requests associated with the document loaded.
`void` | `onStatusChange(ProgressEvent event)` Notification that the status has changed.

Method Detail

### onStateChange

    public void onStateChange(ProgressEvent event)

  Notification indicating the state has changed for one of the requests associated with the document loaded. For this event the ProgressEvent's getEventParam will return StateChangeEventParam instance.

  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `StateChangeEventParam`

### onProgressChange

    public void onProgressChange(ProgressEvent event)

  Notification that the progress has changed for one of the requests being monitored. For this event the ProgressEvent's getEventParam will return ProgressChangeEventParam instance.

  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `ProgressChangeEventParam`

### onLocationChange

    public void onLocationChange(ProgressEvent event)

  Called when the window being watched changes the location that is currently. This is not when a load is requested, but rather once it is verified that the load is going to occur in the given window. For instance, a load that starts in a window might send progress and status messages, for the new site but it will not send the onLocationChange until we are sure we are loading this new page here. For this event the ProgressEvent's getEventParam will return URI of the location that is being loaded.

  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`

### onStatusChange

    public void onStatusChange(ProgressEvent event)

  Notification that the status has changed. The status message is usually printed in the status bar of the browser. For this event the ProgressEvent's getEventParam will return StatusChangeEventParam instance.

  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `StatusChangeEventParam`

### onSecurityChange

    public void onSecurityChange(ProgressEvent event)

  Notification called for security progress. This method will be called on security transitions (eg HTTP -> HTTPS, HTTPS -> HTTP, FOO -> https) and after document load completion. It might also be called if an error occurs during network loading. For this event the ProgressEvent's getEventParam will return StatusChangeEventParam instance. These notification will only occur if a security package is installed.

  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `StatusChangeEventParam`

### onLinkStatusChange

    public void onLinkStatusChange(ProgressEvent event)

  This is an additional event to set of progress event, this event occurs when mouse is rolled over a link which is usually printed in the status bar of the browser. For this event the ProgressEvent's getEventParam will return string representation of URI under question.

  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.